Package rdkit :: Package ML :: Module CompositeRun :: Class CompositeRun

[hide private]
[frames] | no frames]

# Class CompositeRun

source code

    class to store parameters for and results from Composite building

    This class has a default set of fields which are added to the database.

    By default these fields are stored in a tuple, so they are immutable.  This
      is probably what you want.

Instance Methods | [hide private]

_CreateTable(self, cn, tblName) *Internal Use only* | source code

Store(self, db='models.gdb', table='results', user='sysdba', password='masterkey') adds the result to a database | source code

GetDataSet(self, **kwargs) Returns a MLDataSet pulled from a database using our stored values. | source code

GetDataSetInfo(self, **kwargs) Returns a MLDataSet pulled from a database using our stored values. | source code

Class Variables | [hide private]

| fields = `"rundate", "varchar(32)", ("dbName", "varchar(200)"),`...``

Method Details | [hide private]

### Store(self, db='models.gdb', table='results', user='sysdba', password='masterkey')

source code

    adds the result to a database

    **Arguments**

      - db: name of the database to use

      - table: name of the table to use

      - user&password: connection information

Class Variable Details | [hide private]

### fields

Value:

      "rundate", "varchar(32)", ("dbName", "varchar(200)"), ("dbWhat", "varc
      har(200)"), ("dbWhere", "varchar(200)"), ("dbJoin", "varchar(200)"), (
      "tableName", "varchar(80)"), ("note", "varchar(120)"), ("shuffled", "s
      mallint"), ("randomized", "smallint"), ("overall_error", "float"), ("h
      oldout_error", "float"), ("overall_fraction_dropped", "float"), ("hold
      out_fraction_dropped", "float"), ("overall_correct_conf", "float"), ("
      overall_incorrect_conf", "float"), ("holdout_correct_conf", "float"),
      ("holdout_incorrect_conf", "float"), ("overall_result_matrix", "varcha
      ...